program HelloG19Lcd;
uses
  Windows,
  Graphics,
  VLgLcdG19,
  SysUtils;

var
  Lcd : TVLgLcdG19;
  TS  : String;
begin
  try
    Lcd := TVLgLcdG19.Create('Hello G19 Lcd');
    Lcd.ForegroundApp := True; // force in front of other apps
    Lcd.ClearBitmap;
    with Lcd.Canvas do begin
      Font.Name := 'Arial'; // stick to default
      Font.Height := -22; // height in pixels, sans internal leading space
      Font.Color := clGreen;
      TextOut(10, 10, 'Hello G19 Lcd');
    end;
    Lcd.UpdateLcd;

    repeat
      Sleep(1000);
      Lcd.ClearBitmap;
      with Lcd.Canvas do begin
        Font.Color := clWhite;
        TS := DateTimeToStr(Now);
        TextOut((Lcd.Width - TextWidth(TS)) div 2, 100, TS);
      end;
      Lcd.UpdateLcd;
    until not Lcd.ApplicationIsEnabled;
    Lcd.Free;
  except
    on E:Exception do
      MessageBox(0, PWideChar(E.Classname + ': ' + E.Message), PWideChar('HelloG19Lcd'), MB_OK or MB_ICONSTOP);
  end;
end.
